Upstream information

CVE-2023-26964 at MITRE

Description

An issue was discovered in hyper v0.13.7. h2-0.2.4 Stream stacking occurs when the H2 component processes HTTP2 RST_STREAM frames. As a result, the memory and CPU usage are high which can lead to a Denial of Service (DoS).

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 4.7
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:H
Attack Vector Network Local
Attack Complexity Low High
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1210339 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Development Tools 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • rustup >= 1.26.0~0-150400.3.7.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP4-2023-2603
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Development Tools 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • rustup >= 1.26.0~0-150400.3.7.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP5-2023-2603
openSUSE Leap 15.4
  • rustup >= 1.26.0~0-150400.3.7.1
Patchnames:
openSUSE-SLE-15.4-2023-2603
openSUSE Leap 15.5
  • rustup >= 1.26.0~0-150400.3.7.1
Patchnames:
openSUSE-SLE-15.5-2023-2603
openSUSE Tumbleweed
  • hoard >= v.1.4.2~0-1.1
  • kanidm >= 1.1.0~alpha11~git0.d3a2a6b-3.1
  • kanidm-clients >= 1.1.0~alpha11~git0.d3a2a6b-3.1
  • kanidm-docs >= 1.1.0~alpha11~git0.d3a2a6b-3.1
  • kanidm-server >= 1.1.0~alpha11~git0.d3a2a6b-3.1
  • kanidm-unixd-clients >= 1.1.0~alpha11~git0.d3a2a6b-3.1
  • keylime-ima-policy >= 0.2.0+git.1681457715.54484b7-1.1
  • pijul >= 1.0.0~beta.5-1.1
  • rust-keylime >= 0.2.0+git.1681457715.54484b7-1.1
  • rustup >= 1.25.2~0-4.1
  • sccache >= 0.4.1~18-2.1
  • tealdeer >= 1.6.1-2.1
  • tealdeer-bash-completion >= 1.6.1-2.1
  • tealdeer-fish-completion >= 1.6.1-2.1
  • tealdeer-zsh-completion >= 1.6.1-2.1
  • wasm-pack >= 0.11.0~0-2.1
  • watchexec >= 1.22.3-1.1
Patchnames:
openSUSE Tumbleweed GA hoard-v.1.4.2~0-1.1
openSUSE Tumbleweed GA kanidm-1.1.0~alpha11~git0.d3a2a6b-3.1
openSUSE Tumbleweed GA keylime-ima-policy-0.2.0+git.1681457715.54484b7-1.1
openSUSE Tumbleweed GA pijul-1.0.0~beta.5-1.1
openSUSE Tumbleweed GA rustup-1.25.2~0-4.1
openSUSE Tumbleweed GA sccache-0.4.1~18-2.1
openSUSE Tumbleweed GA tealdeer-1.6.1-2.1
openSUSE Tumbleweed GA wasm-pack-0.11.0~0-2.1
openSUSE Tumbleweed GA watchexec-1.22.3-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 netavark Affected
SUSE Enterprise Storage 7.1 rustup Affected
SUSE Enterprise Storage 7.1 sccache Affected
SUSE Linux Enterprise Desktop 15 SP5 gstreamer-plugins-rs Affected
SUSE Linux Enterprise Desktop 15 SP5 rustup Released
SUSE Linux Enterprise Desktop 15 SP5 sccache Affected
SUSE Linux Enterprise High Performance Computing 15 SP5 aws-nitro-enclaves-cli Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 gstreamer-plugins-rs Affected
SUSE Linux Enterprise High Performance Computing 15 SP5 netavark Affected
SUSE Linux Enterprise High Performance Computing 15 SP5 rustup Released
SUSE Linux Enterprise High Performance Computing 15 SP5 sccache Affected
SUSE Linux Enterprise Micro 5.1 netavark Affected
SUSE Linux Enterprise Micro 5.2 afterburn Won't fix
SUSE Linux Enterprise Micro 5.2 netavark Affected
SUSE Linux Enterprise Micro 5.3 afterburn Won't fix
SUSE Linux Enterprise Micro 5.3 netavark Affected
SUSE Linux Enterprise Micro 5.3 rust-keylime Affected
SUSE Linux Enterprise Micro 5.4 afterburn Won't fix
SUSE Linux Enterprise Micro 5.4 netavark Affected
SUSE Linux Enterprise Micro 5.4 rust-keylime Affected
SUSE Linux Enterprise Micro 5.5 afterburn Affected
SUSE Linux Enterprise Micro 5.5 netavark Affected
SUSE Linux Enterprise Micro 5.5 rust-keylime Affected
SUSE Linux Enterprise Module for Containers 15 SP5 netavark Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 gstreamer-plugins-rs Affected
SUSE Linux Enterprise Module for Development Tools 15 SP5 rustup Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 sccache Affected
SUSE Linux Enterprise Module for Public Cloud 15 SP5 aws-nitro-enclaves-cli Not affected
SUSE Linux Enterprise Real Time 15 SP3 rustup Affected
SUSE Linux Enterprise Real Time 15 SP3 sccache Affected
SUSE Linux Enterprise Server 15 SP5 aws-nitro-enclaves-cli Not affected
SUSE Linux Enterprise Server 15 SP5 gstreamer-plugins-rs Affected
SUSE Linux Enterprise Server 15 SP5 netavark Affected
SUSE Linux Enterprise Server 15 SP5 rustup Released
SUSE Linux Enterprise Server 15 SP5 sccache Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 aws-nitro-enclaves-cli Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 gstreamer-plugins-rs Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 netavark Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 rustup Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 sccache Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 aws-nitro-enclaves-cli Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 gstreamer-plugins-rs Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 netavark Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 rustup Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 sccache Affected
SUSE Manager Proxy 4.3 aws-nitro-enclaves-cli Not affected
SUSE Manager Proxy 4.3 gstreamer-plugins-rs Affected
SUSE Manager Proxy 4.3 netavark Affected
SUSE Manager Proxy 4.3 rustup Released
SUSE Manager Proxy 4.3 sccache Affected
SUSE Manager Retail Branch Server 4.3 aws-nitro-enclaves-cli Not affected
SUSE Manager Retail Branch Server 4.3 gstreamer-plugins-rs Affected
SUSE Manager Retail Branch Server 4.3 netavark Affected
SUSE Manager Retail Branch Server 4.3 rustup Released
SUSE Manager Retail Branch Server 4.3 sccache Affected
SUSE Manager Server 4.3 aws-nitro-enclaves-cli Not affected
SUSE Manager Server 4.3 gstreamer-plugins-rs Affected
SUSE Manager Server 4.3 netavark Affected
SUSE Manager Server 4.3 rustup Released
SUSE Manager Server 4.3 sccache Affected
openSUSE Leap 15.5 rustup Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 gstreamer-plugins-rs Affected
SUSE Linux Enterprise Desktop 15 SP4 rustup Released
SUSE Linux Enterprise Desktop 15 SP4 sccache Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 rustup Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 sccache Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS netavark Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS rustup Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS sccache Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS netavark Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS rustup Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS sccache Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 aws-nitro-enclaves-cli Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 gstreamer-plugins-rs Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 netavark Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 rustup Released
SUSE Linux Enterprise High Performance Computing 15 SP4 sccache Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS gstreamer-plugins-rs Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS netavark Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS rustup Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS sccache Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS gstreamer-plugins-rs Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS netavark Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS rustup Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS sccache Affected
SUSE Linux Enterprise Module for Containers 15 SP4 netavark Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 gstreamer-plugins-rs Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 rustup Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 sccache Affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 rustup Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 sccache Affected
SUSE Linux Enterprise Module for Public Cloud 15 SP4 aws-nitro-enclaves-cli Not affected
SUSE Linux Enterprise Server 15 SP3 rustup Affected
SUSE Linux Enterprise Server 15 SP3 sccache Affected
SUSE Linux Enterprise Server 15 SP3-LTSS netavark Affected
SUSE Linux Enterprise Server 15 SP3-LTSS rustup Affected
SUSE Linux Enterprise Server 15 SP3-LTSS sccache Affected
SUSE Linux Enterprise Server 15 SP4 aws-nitro-enclaves-cli Not affected
SUSE Linux Enterprise Server 15 SP4 gstreamer-plugins-rs Affected
SUSE Linux Enterprise Server 15 SP4 netavark Affected
SUSE Linux Enterprise Server 15 SP4 rustup Released
SUSE Linux Enterprise Server 15 SP4 sccache Affected
SUSE Linux Enterprise Server 15 SP4-LTSS gstreamer-plugins-rs Affected
SUSE Linux Enterprise Server 15 SP4-LTSS netavark Affected
SUSE Linux Enterprise Server 15 SP4-LTSS rustup Affected
SUSE Linux Enterprise Server 15 SP4-LTSS sccache Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 netavark Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 rustup Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 sccache Affected
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 15 SP3 rustup Affected
SUSE Linux Enterprise Desktop 15 SP3 sccache Affected
SUSE Linux Enterprise Real Time 15 SP4 gstreamer-plugins-rs Affected
SUSE Linux Enterprise Real Time 15 SP4 rustup Affected
SUSE Linux Enterprise Real Time 15 SP4 sccache Affected
SUSE Linux Enterprise Server 15 SP3-BCL rustup Affected
SUSE Linux Enterprise Server 15 SP3-BCL sccache Affected
SUSE Manager Proxy 4.2 rustup Affected
SUSE Manager Proxy 4.2 sccache Affected
SUSE Manager Retail Branch Server 4.2 rustup Affected
SUSE Manager Retail Branch Server 4.2 sccache Affected
SUSE Manager Server 4.2 rustup Affected
SUSE Manager Server 4.2 sccache Affected
openSUSE Leap 15.4 rustup Released


SUSE Timeline for this CVE

CVE page created: Tue Apr 11 18:01:16 2023
CVE page last modified: Thu Feb 22 17:23:33 2024